import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("benefits_section_cms")
export class BenefitsSectionCmsEntity extends CoreEntity {
    @Column({ default: null, nullable: true })
    title: string;

    @Column({ default: null, nullable: true })
    subTitle: string;

    @Column({ default: null, nullable: true })
    imageOne: string;

    @Column({ default: null, nullable: true })
    titleOne: string;

    @Column({ default: null, type: "longtext", nullable: true })
    descriptionOne: string;

    @Column({ default: null, nullable: true })
    buttonOneText: string;

    @Column({ default: null, nullable: true })
    buttonOneLink: string;

    @Column({ default: null, nullable: true })
    imageTwo: string;

    @Column({ default: null, nullable: true })
    titleTwo: string;

    @Column({ default: null, type: "longtext", nullable: true })
    descriptionTwo: string;

    @Column({ default: null, nullable: true })
    buttonTwoText: string;

    @Column({ default: null, nullable: true })
    buttonTwoLink: string;

    @Column({ default: null, nullable: true })
    imageThree: string;

    @Column({ default: null, nullable: true })
    titleThree: string;

    @Column({ default: null, type: "longtext", nullable: true })
    descriptionThree: string;

    @Column({ default: null, nullable: true })
    buttonThreeText: string;

    @Column({ default: null, nullable: true })
    buttonThreeLink: string;

    @Column({ default: null, nullable: true })
    sectionButtonText: string;
}
