import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("home_page_section_one")
export class HomePageSectionOne extends CoreEntity {
    @Column({ default: null, nullable: true })
    titleOne: string;

    @Column({ default: null, nullable: true })
    titleTwo: string;

    @Column({ default: null, type: "longtext", nullable: true })
    description: string;

    @Column({ default: null, nullable: true })
    buttonText: string;

    @Column({ default: null, nullable: true })
    buttonLink: string;

    @Column({ default: null, nullable: true })
    image: string;
}
