import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("home_page_section_five_cms")
export class HomePageSectionFiveCms extends CoreEntity {
    @Column({ default: null, nullable: true })
    title: string;

    @Column({ default: null, nullable: true })
    subTitle: string;

    @Column({ default: null, nullable: true })
    buttonText: string;

    @Column({ default: null, nullable: true })
    buttonLink: string;

    @Column({ default: false })
    status: boolean;
}
