import { IsNotEmpty } from "class-validator";

export class BaseLandingPageCmsDto {
    @IsNotEmpty()
    logo: string;

    @IsNotEmpty()
    title: string;

    @IsNotEmpty()
    description: string;

    @IsNotEmpty()
    questionTitle: string;

    @IsNotEmpty()
    buttonOneText: string;

    @IsNotEmpty()
    buttonTwoText: string;

    @IsNotEmpty()
    image: string;

    @IsNotEmpty()
    pickUpPageTitle: string;

    @IsNotEmpty()
    deliveryPageTitle: string;

    @IsNotEmpty()
    searchBoxText: string;

    @IsNotEmpty()
    chooseStoreButtonText: string;
}